<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.2.2
Description: Ein am Ende des Briefes formulierter Freitext. Der Text soll keine fachlich relevante Information beinhalten.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.1.2.2">
   <title>Abschließende Bemerkungen</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]
Item: (TMP AbschließendeBemerkung)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section
Item: (TMP AbschließendeBemerkung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section"
         id="tmp-67a6d5ee-0a7a-468f-bc16-d5ac5bda94e7">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.2'])&gt;=1 ">(TMP AbschließendeBemerkung): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.2'])&lt;=1">(TMP AbschließendeBemerkung): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.2.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP AbschließendeBemerkung): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.2.html"
              test="count(hl7:code)&lt;=1">(TMP AbschließendeBemerkung): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.2.html"
              test="count(hl7:title)&gt;=1 ">(TMP AbschließendeBemerkung): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.2.html"
              test="count(hl7:title)&lt;=1">(TMP AbschließendeBemerkung): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.2.html"
              test="count(hl7:text)&gt;=1 ">(TMP AbschließendeBemerkung): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.2.html"
              test="count(hl7:text)&lt;=1">(TMP AbschließendeBemerkung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.2']
Item: (TMP AbschließendeBemerkung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.2']"
         id="tmp-34e9b74a-587c-4d74-b6f3-1f1820edd2f6">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP AbschließendeBemerkung): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.2.html"
              test="@root='1.2.40.0.34.11.1.2.2'">(TMP AbschließendeBemerkung): @root MUSS den Wert '1.2.40.0.34.11.1.2.2' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP AbschließendeBemerkung): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section/hl7:code
Item: (TMP AbschließendeBemerkung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section/hl7:code"
         id="tmp-36ba4cf6-f6c5-478b-be2c-de0833c4cfcc">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.2.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP AbschließendeBemerkung): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.2.html"
              test="@nullFlavor or (@code='ABBEM' and @codeSystem='1.2.40.0.34.5.40' and @displayName='Abschließende Bemerkungen')">(TMP AbschließendeBemerkung): Der Wert von @code/@codeSystem MUSS 'ABBEM' codeSystem '1.2.40.0.34.5.40' displayName='Abschließende Bemerkungen' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section/hl7:title
Item: (TMP AbschließendeBemerkung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section/hl7:title"
         id="tmp-18a871af-b036-469f-8428-d6f60a43e96c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.2.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP AbschließendeBemerkung): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.2.html"
              test="text()='Abschließende Bemerkungen'">(TMP AbschließendeBemerkung): Der Elementinhalt von 'hl7:title' MUSS ''Abschließende Bemerkungen'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section/hl7:text
Item: (TMP AbschließendeBemerkung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.2']]/hl7:section/hl7:text"
         id="tmp-3c6e83bb-022c-4741-8bdf-b363c1f30095">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.2.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP AbschließendeBemerkung): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>