<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.2.4
Description: Alle Patientenverfügungen und diejenigen juridischen Dokumente, welche als „wichtig“ erachtet werden. Die Aufstellung soll narrativ in tabellarischer Form erfolgen und die „Art des
                vorliegenden Dokuments“, sowie den Hinweis „wo dieses aufliegt“ enthalten. Beispiel: „Testament“ – „liegt bei Tochter auf“
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.1.2.4">
   <title>Patientenverfügung</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]
Item: (TMP Patientenverfügung)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section
Item: (TMP Patientenverfügung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section"
         id="tmp-d96c2c45-a1e7-46cf-8cf1-6a34fa5f578c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.4'])&gt;=1 ">(TMP Patientenverfügung): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.4'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.4'])&lt;=1">(TMP Patientenverfügung): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.4'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.34'])&gt;=1 ">(TMP Patientenverfügung): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.34'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.34'])&lt;=1">(TMP Patientenverfügung): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.34'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.1'])&gt;=1 ">(TMP Patientenverfügung): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.1'])&lt;=1">(TMP Patientenverfügung): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Patientenverfügung): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:code)&lt;=1">(TMP Patientenverfügung): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:title)&gt;=1 ">(TMP Patientenverfügung): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:title)&lt;=1">(TMP Patientenverfügung): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:text)&gt;=1 ">(TMP Patientenverfügung): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="count(hl7:text)&lt;=1">(TMP Patientenverfügung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.4']
Item: (TMP Patientenverfügung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.4']"
         id="tmp-57152876-67aa-454a-98bc-26b08fa9fba6">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Patientenverfügung): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="@root='1.2.40.0.34.11.1.2.4'">(TMP Patientenverfügung): @root MUSS den Wert '1.2.40.0.34.11.1.2.4' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Patientenverfügung): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.34']
Item: (TMP Patientenverfügung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.34']"
         id="tmp-0acf9467-4687-41b3-9395-1ce67e56ec91">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Patientenverfügung): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="@root='1.3.6.1.4.1.19376.1.5.3.1.3.34'">(TMP Patientenverfügung): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.3.34' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Patientenverfügung): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.10.20.1.1']
Item: (TMP Patientenverfügung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.10.20.1.1']"
         id="tmp-2bd146dc-8561-4a1f-a5b1-92455e987de9">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Patientenverfügung): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="@root='2.16.840.1.113883.10.20.1.1'">(TMP Patientenverfügung): @root MUSS den Wert '2.16.840.1.113883.10.20.1.1' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Patientenverfügung): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section/hl7:code
Item: (TMP Patientenverfügung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section/hl7:code"
         id="tmp-40dd81bc-60f3-46e9-8f79-65d06edd0416">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Patientenverfügung): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="@nullFlavor or (@code='42348-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Advance directives')">(TMP Patientenverfügung): Der Wert von @code/@codeSystem MUSS '42348-3' codeSystem '2.16.840.1.113883.6.1' displayName='Advance directives' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section/hl7:title
Item: (TMP Patientenverfügung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section/hl7:title"
         id="tmp-0fc2fef8-76f5-4982-ab11-6047136e18e8">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP Patientenverfügung): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.4.html"
              test="text()='Patientenverfügungen und andere juridische Dokumente'">(TMP Patientenverfügung): Der Elementinhalt von 'hl7:title' MUSS ''Patientenverfügungen und andere juridische Dokumente'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.4']]/hl7:section/hl7:text
Item: (TMP Patientenverfügung)
-->
</pattern>