<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.2.8
Description: Wird ausschließlich als Untersektion zu einer fachlichen Sektion angewandt. Enthält die Risiken zum Thema der übergeordneten Sektion als narrative Beschreibung oder
                Auflistung.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.1.2.8">
   <title>Risiken</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]
Item: (TMP Risiken)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section
Item: (TMP Risiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section"
         id="tmp-abf88443-b60f-454c-a421-9a63a2d11a72">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.8.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.8'])&gt;=1 ">(TMP Risiken): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.8'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.8.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.8'])&lt;=1">(TMP Risiken): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.8'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.8.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Risiken): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.8.html"
              test="count(hl7:code)&lt;=1">(TMP Risiken): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.8.html"
              test="count(hl7:title)&gt;=1 ">(TMP Risiken): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.8.html"
              test="count(hl7:title)&lt;=1">(TMP Risiken): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.8.html"
              test="count(hl7:text)&gt;=1 ">(TMP Risiken): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.8.html"
              test="count(hl7:text)&lt;=1">(TMP Risiken): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.8']
Item: (TMP Risiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.8']"
         id="tmp-48daa04d-4ddb-46a9-81a0-44a498a26da4">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.8.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Risiken): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.8.html"
              test="@root='1.2.40.0.34.11.1.2.8'">(TMP Risiken): @root MUSS den Wert '1.2.40.0.34.11.1.2.8' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.8.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Risiken): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section/hl7:code
Item: (TMP Risiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section/hl7:code"
         id="tmp-8a531585-f16e-4f3b-8c17-911c993ef3e7">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.8.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Risiken): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.8.html"
              test="@nullFlavor or (@code='51898-5' and @codeSystem='2.16.840.1.113883.6.1')">(TMP Risiken): Der Wert von @code/@codeSystem MUSS '51898-5' codeSystem '2.16.840.1.113883.6.1' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section/hl7:title
Item: (TMP Risiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section/hl7:title"
         id="tmp-f9a3182d-8bed-437c-8ada-a75eb4be2850">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.8.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP Risiken): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.2.8.html"
              test="text()='Risiken'">(TMP Risiken): Der Elementinhalt von 'hl7:title' MUSS ''Risiken'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section/hl7:text
Item: (TMP Risiken)
-->
</pattern>