<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.3.1
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.1.3.1">
   <title>Eingebettetes Objekt Entry</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.1
Context: *[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.1']]
Item: (TMP EingebettetesObjektEntry)
-->

<rule context="*[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.1']]"
         id="tmp-ea1b485c-c1c2-4b89-9f99-59df3ffaf892">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.3.1.html"
              test="count(hl7:observationMedia)&gt;=1 ">(TMP EingebettetesObjektEntry): Element hl7:observationMedia ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.3.1.html"
              test="count(hl7:observationMedia)&lt;=1">(TMP EingebettetesObjektEntry): Element hl7:observationMedia kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.1
Context: *[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.1']]/hl7:observationMedia
Item: (TMP EingebettetesObjektEntry)
-->

<rule context="*[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.1']]/hl7:observationMedia"
         id="tmp-22a333de-14d6-456c-833e-320150dd06ac">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.3.1.html"
              test="@classCode='OBS' ">(TMP EingebettetesObjektEntry): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.3.1.html"
              test="@moodCode='EVN' ">(TMP EingebettetesObjektEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.3.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.1'])&gt;=1 ">(TMP EingebettetesObjektEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.3.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.1'])&lt;=1">(TMP EingebettetesObjektEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.3.1.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP EingebettetesObjektEntry): Element hl7:value ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.3.1.html"
              test="count(hl7:value)&lt;=1">(TMP EingebettetesObjektEntry): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.1
Context: *[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.1']]/hl7:observationMedia/hl7:templateId[@root='1.2.40.0.34.11.1.3.1']
Item: (TMP EingebettetesObjektEntry)
-->

<rule context="*[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.1']]/hl7:observationMedia/hl7:templateId[@root='1.2.40.0.34.11.1.3.1']"
         id="tmp-655ad625-85de-47a4-95fc-89f2462d9d94">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.3.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP EingebettetesObjektEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.3.1.html"
              test="@root='1.2.40.0.34.11.1.3.1'">(TMP EingebettetesObjektEntry): @root MUSS den Wert '1.2.40.0.34.11.1.3.1' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.3.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP EingebettetesObjektEntry): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.1
Context: *[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.1']]/hl7:observationMedia/hl7:value
Item: (TMP EingebettetesObjektEntry)
-->

<rule context="*[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.1']]/hl7:observationMedia/hl7:value"
         id="tmp-3dc2daa3-4804-495d-8330-a4d9d6efc627">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.3.1.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP EingebettetesObjektEntry): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ED" oder der Datentype MUSS "ED" sein</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.3.1.html"
              test="string-length(@mediaType)&gt;0">(TMP EingebettetesObjektEntry): Attribut @mediaType MUSS vorkommen.</assert>
      <let name="theAttValue" value="@mediaType"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ELGA_Medientyp-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.3.1.html"
              test="string-length($displayNamesFound)&gt;0">(TMP EingebettetesObjektEntry): Der Wert von mediaType MUSS gewählt werden aus dem Value Set ELGA_Medientyp DYNAMIC.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.1.3.1.html"
              test="@representation='B64' ">(TMP EingebettetesObjektEntry): Der Wert von @representation MUSS 'B64' sein.</assert>
   </rule>
</pattern>