<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.19
Description: Liste der bisherigen Krankheiten des Patienten.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.19">
   <title>Frühere Erkrankungen</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.19
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]
Item: (TMP FrühereErkrankungen)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.19
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section
Item: (TMP FrühereErkrankungen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section"
         id="tmp-d5ce2460-1ec1-4d1a-8c5c-1bd4b665d31e">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.19.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.19'])&gt;=1 ">(TMP FrühereErkrankungen): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.19'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.19.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.19'])&lt;=1">(TMP FrühereErkrankungen): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.19'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.19.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP FrühereErkrankungen): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.19.html"
              test="count(hl7:code)&lt;=1">(TMP FrühereErkrankungen): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.19.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(TMP FrühereErkrankungen): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.19.html"
              test="count(hl7:title)&lt;=1">(TMP FrühereErkrankungen): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.19.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP FrühereErkrankungen): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.19.html"
              test="count(hl7:text)&lt;=1">(TMP FrühereErkrankungen): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.19
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.19']
Item: (TMP FrühereErkrankungen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.19']"
         id="tmp-b9fe972d-c318-4b29-901c-da6d29c61404">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.19.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP FrühereErkrankungen): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.19.html"
              test="@root='1.2.40.0.34.11.2.2.19'">(TMP FrühereErkrankungen): @root MUSS den Wert '1.2.40.0.34.11.2.2.19' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.19.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP FrühereErkrankungen): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.19
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section/hl7:code
Item: (TMP FrühereErkrankungen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section/hl7:code"
         id="tmp-f7725d14-cc93-4ed4-b2e6-eae22f88bd90">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.19.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP FrühereErkrankungen): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.19.html"
              test="@nullFlavor or (@code='11348-0' and @codeSystem='2.16.840.1.113883.6.1')">(TMP FrühereErkrankungen): Der Wert von @code/@codeSystem MUSS '11348-0' codeSystem '2.16.840.1.113883.6.1' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.19
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section/hl7:title
Item: (TMP FrühereErkrankungen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section/hl7:title"
         id="tmp-a625e836-2da5-45c7-a8c4-8f8b605a76b6">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.19.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP FrühereErkrankungen): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.2.2.19.html"
              test="text()='Frühere Erkrankungen'">(TMP FrühereErkrankungen): Der Elementinhalt von 'hl7:title' MUSS ''Frühere Erkrankungen'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.19
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section/hl7:text
Item: (TMP FrühereErkrankungen)
-->
</pattern>