<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.4
Description: Template Spezieller Implementierungsleitfaden ELGA Laborbefund
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.4">
   <title>Laborbefund</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']"
         id="tmp-73402a74-a97a-416d-a0f5-eb711aa67f95">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4'])&gt;=1 ">elga-cdalab: Element hl7:templateId[@root='1.2.40.0.34.11.4'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4'])&lt;=1">elga-cdalab: Element hl7:templateId[@root='1.2.40.0.34.11.4'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">elga-cdalab: Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:code)&lt;=1">elga-cdalab: Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">elga-cdalab: Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:title)&lt;=1">elga-cdalab: Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:documentationOf)&gt;=1 and not(hl7:documentationOf/@nullFlavor)">elga-cdalab: Element hl7:documentationOf ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:componentOf)=0">elga-cdalab: element hl7:componentOf MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:templateId[@root='1.2.40.0.34.11.4']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:templateId[@root='1.2.40.0.34.11.4']"
         id="tmp-f90f8daf-41f9-4ae3-bb56-f3cf4a2e60bc">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@root='1.2.40.0.34.11.4'">elga-cdalab: @root MUSS den Wert '1.2.40.0.34.11.4' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdalab: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:code
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:code"
         id="tmp-f21b6f78-386c-46c1-bd38-efe1929f8c03">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@nullFlavor or (@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='LABORATORY REPORT.TOTAL')">elga-cdalab: Der Wert von @code/@codeSystem MUSS '11502-2' codeSystem '2.16.840.1.113883.6.1' displayName='LABORATORY REPORT.TOTAL' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:title
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:title"
         id="tmp-68742cb7-aff6-4eec-bcc2-9f410d97ceca">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:informationRecipient
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:informationRecipient"
         id="tmp-dec81876-b2c1-4d6a-a27e-2a13530544e0">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4'])&gt;=1 ">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4'])&lt;=1">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:informationRecipient/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:informationRecipient/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4']"
         id="tmp-ac658cdb-df8d-4f91-a003-08b974b584c3">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@root='1.3.6.1.4.1.19376.1.3.3.1.4'">elga-cdalab: @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.4' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdalab: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator"
         id="tmp-dad80200-a5a5-4017-aee3-2c15852adef4">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'])&gt;=1 ">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'])&lt;=1">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']"
         id="tmp-2e825648-b48e-4057-a102-ec256d0f3721">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@root='1.3.6.1.4.1.19376.1.3.3.1.5'">elga-cdalab: @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.5' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdalab: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:legalAuthenticator
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:legalAuthenticator"
         id="tmp-f5afb02d-71c3-443d-bc0a-bfe8908bd197">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'])&gt;=1 ">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'])&lt;=1">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:legalAuthenticator/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:legalAuthenticator/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']"
         id="tmp-e11e9866-5e11-40d3-bb65-34ffea96f258">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@root='1.3.6.1.4.1.19376.1.3.3.1.5'">elga-cdalab: @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.5' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdalab: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']"
         id="tmp-efecbcb2-475d-482b-aa76-15040200c136">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@typeCode='REF' ">elga-cdalab: Der Wert von @typeCode MUSS 'REF' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:time)&gt;=1 ">elga-cdalab: Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:time)&lt;=1">elga-cdalab: Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:associatedEntity)&gt;=1 and not(hl7:associatedEntity/@nullFlavor)">elga-cdalab: Element hl7:associatedEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:associatedEntity)&lt;=1">elga-cdalab: Element hl7:associatedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:time
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:time"
         id="tmp-e8ccc1b8-ade8-47e9-873d-c8cccdafbf9c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_TS" oder der Datentype MUSS "IVL_TS" sein</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity"
         id="tmp-9fdb6f5e-ce46-4de9-84e2-cd5949258fa3">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@classCode='PROV' ">elga-cdalab: Der Wert von @classCode MUSS 'PROV' sein.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">elga-cdalab: Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:id)&lt;=1">elga-cdalab: Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:addr)&gt;=1 ">elga-cdalab: Element hl7:addr ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:addr)&lt;=1">elga-cdalab: Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)">elga-cdalab: Element hl7:telecom ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:associatedPerson)&gt;=1 and not(hl7:associatedPerson/@nullFlavor)">elga-cdalab: Element hl7:associatedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:associatedPerson)&lt;=1">elga-cdalab: Element hl7:associatedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:scopingOrganization)&lt;=1">elga-cdalab: Element hl7:scopingOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.6']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.6']"
         id="tmp-87204764-7790-4644-b134-41616a599cdb">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@root='1.3.6.1.4.1.19376.1.3.3.1.6'">elga-cdalab: @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.6' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdalab: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:id
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:id"
         id="tmp-b5bca147-5f2e-499d-b271-965856f0defd">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:addr
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:addr"
         id="tmp-4e4b08c0-33c2-4f47-ab4e-e9574489a215">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "AD" oder der Datentype MUSS "AD" sein</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:telecom
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:telecom"
         id="tmp-417bed2c-2e19-429f-8387-f45eb0b0730c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson
Item: elga-cdalab
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson/hl7:name
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson/hl7:name"
         id="tmp-0dd8757e-7c81-4f44-a155-796ee0d05d99">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "PN" oder der Datentype MUSS "PN" sein</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization
Item: elga-cdalab
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id"
         id="tmp-60533623-c05a-46cd-b949-7adf14199c6c">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name"
         id="tmp-00b948c0-c4b7-4de4-a965-f73ea136b751">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ON" oder der Datentype MUSS "ON" sein</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom"
         id="tmp-71d7de1d-da2e-4a01-9e49-340415efd2b3">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr"
         id="tmp-3efee2ef-48a8-479a-922c-115c09fba165">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "AD" oder der Datentype MUSS "AD" sein</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf"
         id="tmp-1d8dff4b-3129-489b-927a-31ab56634af3">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:serviceEvent)&gt;=1 and not(hl7:serviceEvent/@nullFlavor)">elga-cdalab: Element hl7:serviceEvent ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:serviceEvent)&lt;=1">elga-cdalab: Element hl7:serviceEvent kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent"
         id="tmp-da24eb39-6a09-4d59-89df-70d620eb71d6">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:code)&gt;=1 ">elga-cdalab: Element hl7:code ist required [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:code)&lt;=1">elga-cdalab: Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">elga-cdalab: Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:effectiveTime)&lt;=1">elga-cdalab: Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:code
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:code"
         id="tmp-465fc8b5-8f4d-49cb-9b0f-faeb12fcda7a">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ELGA_ServiceEventsLabor-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ELGA_ServiceEventsLabor-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">elga-cdalab: Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_ServiceEventsLabor DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime"
         id="tmp-8599fd70-ca1d-4e4f-8ded-15620adb25c3">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_TS" oder der Datentype MUSS "IVL_TS" sein</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">elga-cdalab: Element hl7:low ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:low)&lt;=1">elga-cdalab: Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">elga-cdalab: Element hl7:high ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:high)&lt;=1">elga-cdalab: Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime/hl7:low
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime/hl7:low"
         id="tmp-87d85ba9-d620-46b6-ac58-3a277fb0a845">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TS" oder der Datentype MUSS "TS" sein</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime/hl7:high
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime/hl7:high"
         id="tmp-5540b0b4-e07f-47ab-8d66-8289f9d35419">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TS" oder der Datentype MUSS "TS" sein</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:perfomer
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:perfomer"
         id="tmp-0b3ee72e-e05a-42f5-beb4-a47c1dcdc482">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']/@nullFlavor)">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'])&lt;=1">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:perfomer/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:perfomer/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']"
         id="tmp-003d48f4-575e-4fce-9576-ff53450460d3">
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="@root='1.3.6.1.4.1.19376.1.3.3.1.7'">elga-cdalab: @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.7' haben.</assert>
      <assert role="error"
              see="http://www.decor-hit.org/elga/elga-html-20120405T105708/tmp-1.2.40.0.34.11.4.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdalab: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:componentOf
Item: elga-cdalab
-->
</pattern>